Name:           sxiv
Version:        1.1.1
Release:        1%{?dist}
Summary:        Simple (or small or suckless) X Image Viewer
Group:          Applications/Multimedia
License:        GPLv2+
URL:            https://github.com/muennich/%{name}/
Source0:        https://github.com/muennich/%{name}/archive/v%{version}.tar.gz
Patch0:         %{name}-1.1-optflags.patch
Patch1:         %{name}-1.1-image-info.patch
BuildRequires:  desktop-file-utils
BuildRequires:  giflib-devel
BuildRequires:  imlib2-devel
BuildRequires:  libX11-devel

%description
sxiv is an alternative to feh and qiv. Its only dependency besides xlib
is imlib2. The primary goal for writing sxiv is to create an image viewer,
which only has the most basic features required for fast image viewing (the
ones I want). It works nicely with tiling window managers and its code base
should be kept small and clean to make it easy for you to dig into it and
customize it for your needs.

%prep
%setup -q
%patch0 -p1 -b .optflags
%patch1 -p1 -b .image-info

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} PREFIX=%{_prefix}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{name}.desktop

%files
%doc LICENSE README.md image-info
%{_bindir}/sxiv
%{_mandir}/man1/*
%{_datadir}/applications

%changelog
* Mon Oct 14 2013 Petr Šabata <contyk@redhat.com> - 1.1.1-1
- 1.1.1 bump

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr 08 2013 Petr Šabata <contyk@redhat.com> - 1.1-1
- 1.1 bump

* Wed Jan 30 2013 Petr Šabata <contyk@redhat.com> - 1.0-4
- Enhance the desktop file -- allow sxiv to open more files at once and
  list the supported MIME types (#905678)

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov 02 2011 Petr Sabata <contyk@redhat.com> - 1.0-1
- 1.0 bump

* Wed Aug 17 2011 Petr Sabata <contyk@redhat.com> - 0.9-1
- 0.9 bump

* Mon Jul 11 2011 Petr Sabata <contyk@redhat.com> - 0.8.2-2
- Respect RPM_OPT_FLAGS again (#720162)

* Thu Jul 07 2011 Petr Sabata <contyk@redhat.com> - 0.8.2-1
- 0.8.2 bump

* Wed May 11 2011 Petr Sabata <psabata@redhat.com> - 0.8.1-2
- Correcting license to GPLv2+
- Using Github URL as Source
- Respecting optflags
- Adding a crude desktop file

* Tue May 10 2011 Petr Sabata <psabata@redhat.com> - 0.8.1-1
- Initial import
